//
// Created by fedal on 12/4/21.
//

#ifndef JULIA_ANDROID_COMPONENTREQUESTENUM_H
#define JULIA_ANDROID_COMPONENTREQUESTENUM_H
typedef enum {
    DIRECTION_CLOCKWISE,
    DIRECTION_ANTICLOCKWISE,
    DIRECTION_DEFAULT
} ActuatorDirections_e;
typedef enum {
    ON_STATE,
    OFF_STATE,
    OFF_TO_ON_STATE,
    ON_TO_OFF_STATE,
    DEFAULT_ON_OFF_STATE
} OnOffState_e;
typedef enum {
    ANGLE_VALUE,
    RAW_VALUE,
    MICRO_VOLTS,
    GRAMS,
    MILLI_VOLTS,
    MILLI_AMPERES,
    DEFAULT_SENSOR_READING_UNIT
} SensorReadingUnits_e;
#endif //JULIA_ANDROID_COMPONENTREQUESTENUM_H
